%global pkgname nq

Name:           gap-pkg-%{pkgname}
Version:        2.5.3
Release:        5%{?dist}
Summary:        Nilpotent Quotients of finitely presented groups

License:        GPLv2+
URL:            https://gap-packages.github.io/nq/
Source0:        https://github.com/gap-packages/nq/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-autodoc
BuildRequires:  gap-pkg-polycyclic
BuildRequires:  gcc
BuildRequires:  gmp-devel

Requires:       gap-core%{?_isa}
Requires:       gap-pkg-polycyclic

%description
This package provides access from within GAP to the ANU nilpotent
quotient program for computing nilpotent factor groups of finitely
presented groups.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure --with-gaproot=%{_gap_dir} --with-gmp=system --disable-silent-rules
make %{?_smp_mflags}
gap makedoc.g

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a bin doc gap VERSION *.g %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/test

%check
make test 2>&1 | tee log
if grep -Fq "results in an error" log; then false; else true; fi
rm -f log

%files
%doc CHANGES README
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 2.5.3-1
- New upstream version (bz 1315678)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  8 2016 Jerry James <loganjerry@gmail.com> - 2.5.2-1
- New upstream version (bz 1296735)
- Update URLs

* Wed Nov 11 2015 Jerry James <loganjerry@gmail.com> - 2.5.1-2
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source
- Turn test failures into build failures

* Fri Jun 19 2015 Jerry James <loganjerry@gmail.com> - 2.5.1-1
- Initial RPM
